List storefront connections
curl --request GET \
--url https://api.interchange.io/api/v2/buyer/storefront-connections \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/buyer/storefront-connections"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/buyer/storefront-connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"dsEnabled": false,
"items": [
{
"storefront": {
"id": "<string>",
"platformId": "<string>",
"name": "<string>",
"providerType": "<string>",
"providerDisplayName": "<string>",
"sourceKind": "sales",
"credentialMode": "<string>",
"routingMode": "<string>",
"agentSources": [
{
"sourceId": "<string>",
"name": "<string>"
}
],
"operatorDomain": "<string>",
"publisherDomain": "<string>",
"brandName": "<string>",
"logoUrl": "<string>",
"logoBackground": "<string>",
"brandColors": {},
"description": "<string>",
"channels": [
"<string>"
],
"regions": [
"<string>"
],
"website": "<string>"
},
"status": "not_connected",
"authModes": [
"oauth"
],
"accountCount": 4503599627370495,
"mappedAdvertiserCount": 0,
"featurePolicy": {
"buyEnabled": true,
"eventsEnabled": true,
"feedsEnabled": true,
"updatedAt": "2023-11-07T05:31:56Z"
},
"connection": {
"id": "<string>",
"storefrontId": "<string>",
"customerId": 0,
"kind": "<string>",
"providerType": "<string>",
"sourceKind": "<string>",
"status": "<string>",
"metadata": {},
"createdBy": "<string>",
"connectedBy": "<string>",
"archivedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"credential": {
"id": "<string>",
"connectionId": "<string>",
"credentialKind": "OAUTH",
"scopes": [
"<string>"
],
"expiresAt": "2023-11-07T05:31:56Z",
"lastRefreshedAt": "2023-11-07T05:31:56Z",
"status": "PENDING",
"metadata": {},
"connectedBy": "<string>",
"archivedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"selectedAccount": {
"id": "<string>",
"connectionId": "<string>",
"credentialId": "<string>",
"externalAccountId": "<string>",
"name": "<string>",
"advertiser": "<string>",
"currency": "<string>",
"effectiveTimezone": "<string>",
"status": "PENDING",
"providerStatus": "active",
"providerRawStatus": "<string>",
"accountType": null,
"amazonSponsoredAds": {
"marketplaceId": "<string>",
"validPaymentMethod": true,
"countryCode": "<string>"
},
"parentExternalId": null,
"parentName": null,
"isDefault": true,
"isSelected": true,
"enhancedReporting": {
"eligible": true,
"enabled": true,
"activatedAt": "2023-11-07T05:31:56Z",
"disabledAt": "2023-11-07T05:31:56Z",
"billingCustomerId": 4503599627370495,
"canEnable": true
},
"archivedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"mappedAdvertisers": [],
"campaignRollup": {
"campaignsTracked": 4503599627370495,
"campaignsActive": 4503599627370495,
"trackedSpend": 1,
"managedSpend": 1,
"managedShare": 0.5,
"currency": "<string>",
"windowDays": 4503599627370495
}
},
"controlPlane": {
"selection": {
"selected": true,
"decision": "DEFAULT",
"reason": "always_include",
"selectionVersion": "<string>",
"marketplaceReady": true,
"marketplaceUnavailableReason": "seller_opted_out",
"automaticGroups": [
"premium_publisher"
],
"marketMakerClassification": "regional_market_maker",
"marketMakerProvenance": [
{
"basis": "critical_supply",
"authority": "manual",
"marketScope": {
"kind": "GLOBAL"
},
"channels": [
"<string>"
],
"expiresAt": "<string>"
}
]
},
"billingPolicy": {
"requestedParty": "agent",
"effectiveParty": "agent",
"supportedParties": [
"agent"
],
"resolution": "resolved",
"locked": true,
"directBillingAccepted": true
},
"activation": {
"authMode": "agent",
"state": "provisioning",
"requiredAction": "link_account",
"advertisers": [
{
"advertiserId": "<string>",
"sellerAccountId": "<string>",
"qualified": true,
"eligible": true,
"state": "provisioning",
"requiredAction": "link_account",
"failureReason": "provisioning_failed",
"preference": {
"decision": "DEFAULT",
"effectiveDesired": true,
"reason": "hard_ineligibility"
},
"actionUrl": "<string>",
"diagnosticId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
},
"setupRequired": {
"code": "oauth_client_not_configured",
"message": "<string>"
},
"campaignsTracked": 4503599627370495,
"campaignsActive": 4503599627370495
}
],
"activationStateVersion": 2
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Storefronts
List storefront connections
List storefront connection rows and buyer-controlled feature policies. Adapter storefronts include delegated auth status; all storefronts include buy, event, and feed sharing settings. Pass activationStateVersion=2 to accept the deferred activation state.
GET
/
storefront-connections
List storefront connections
curl --request GET \
--url https://api.interchange.io/api/v2/buyer/storefront-connections \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/buyer/storefront-connections"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/buyer/storefront-connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"dsEnabled": false,
"items": [
{
"storefront": {
"id": "<string>",
"platformId": "<string>",
"name": "<string>",
"providerType": "<string>",
"providerDisplayName": "<string>",
"sourceKind": "sales",
"credentialMode": "<string>",
"routingMode": "<string>",
"agentSources": [
{
"sourceId": "<string>",
"name": "<string>"
}
],
"operatorDomain": "<string>",
"publisherDomain": "<string>",
"brandName": "<string>",
"logoUrl": "<string>",
"logoBackground": "<string>",
"brandColors": {},
"description": "<string>",
"channels": [
"<string>"
],
"regions": [
"<string>"
],
"website": "<string>"
},
"status": "not_connected",
"authModes": [
"oauth"
],
"accountCount": 4503599627370495,
"mappedAdvertiserCount": 0,
"featurePolicy": {
"buyEnabled": true,
"eventsEnabled": true,
"feedsEnabled": true,
"updatedAt": "2023-11-07T05:31:56Z"
},
"connection": {
"id": "<string>",
"storefrontId": "<string>",
"customerId": 0,
"kind": "<string>",
"providerType": "<string>",
"sourceKind": "<string>",
"status": "<string>",
"metadata": {},
"createdBy": "<string>",
"connectedBy": "<string>",
"archivedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"credential": {
"id": "<string>",
"connectionId": "<string>",
"credentialKind": "OAUTH",
"scopes": [
"<string>"
],
"expiresAt": "2023-11-07T05:31:56Z",
"lastRefreshedAt": "2023-11-07T05:31:56Z",
"status": "PENDING",
"metadata": {},
"connectedBy": "<string>",
"archivedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"selectedAccount": {
"id": "<string>",
"connectionId": "<string>",
"credentialId": "<string>",
"externalAccountId": "<string>",
"name": "<string>",
"advertiser": "<string>",
"currency": "<string>",
"effectiveTimezone": "<string>",
"status": "PENDING",
"providerStatus": "active",
"providerRawStatus": "<string>",
"accountType": null,
"amazonSponsoredAds": {
"marketplaceId": "<string>",
"validPaymentMethod": true,
"countryCode": "<string>"
},
"parentExternalId": null,
"parentName": null,
"isDefault": true,
"isSelected": true,
"enhancedReporting": {
"eligible": true,
"enabled": true,
"activatedAt": "2023-11-07T05:31:56Z",
"disabledAt": "2023-11-07T05:31:56Z",
"billingCustomerId": 4503599627370495,
"canEnable": true
},
"archivedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"mappedAdvertisers": [],
"campaignRollup": {
"campaignsTracked": 4503599627370495,
"campaignsActive": 4503599627370495,
"trackedSpend": 1,
"managedSpend": 1,
"managedShare": 0.5,
"currency": "<string>",
"windowDays": 4503599627370495
}
},
"controlPlane": {
"selection": {
"selected": true,
"decision": "DEFAULT",
"reason": "always_include",
"selectionVersion": "<string>",
"marketplaceReady": true,
"marketplaceUnavailableReason": "seller_opted_out",
"automaticGroups": [
"premium_publisher"
],
"marketMakerClassification": "regional_market_maker",
"marketMakerProvenance": [
{
"basis": "critical_supply",
"authority": "manual",
"marketScope": {
"kind": "GLOBAL"
},
"channels": [
"<string>"
],
"expiresAt": "<string>"
}
]
},
"billingPolicy": {
"requestedParty": "agent",
"effectiveParty": "agent",
"supportedParties": [
"agent"
],
"resolution": "resolved",
"locked": true,
"directBillingAccepted": true
},
"activation": {
"authMode": "agent",
"state": "provisioning",
"requiredAction": "link_account",
"advertisers": [
{
"advertiserId": "<string>",
"sellerAccountId": "<string>",
"qualified": true,
"eligible": true,
"state": "provisioning",
"requiredAction": "link_account",
"failureReason": "provisioning_failed",
"preference": {
"decision": "DEFAULT",
"effectiveDesired": true,
"reason": "hard_ineligibility"
},
"actionUrl": "<string>",
"diagnosticId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
},
"setupRequired": {
"code": "oauth_client_not_configured",
"message": "<string>"
},
"campaignsTracked": 4503599627370495,
"campaignsActive": 4503599627370495
}
],
"activationStateVersion": 2
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Query Parameters
Optional storefront ID filter
Required range:
0 < x <= 9007199254740991Sellers activation-state contract understood by the caller. Version 2 adds the deferred state.
Available options:
2